@setlocal
@setlocal enabledelayedexpansion

@path %SystemRoot%\System32;%SystemRoot%

@set pdfshext=%ALLUSERSPROFILE%\usdesign.jp\pdfshext

@set key[0]=HKCR\SystemFileAssociations\.pdf
@set reg[0]=%pdfshext%\SystemFileAssociations.reg
@set key[1]=HKLM\SOFTWARE\Microsoft\Windows\CurrentVersion\PropertySystem\PropertyHandlers\.pdf
@set reg[1]=%pdfshext%\PropertyHandlers.reg

@if /i "%1" equ "/RegServer"   goto RegServer
@if /i "%1" equ "/UnregServer" goto UnregServer

@echo U's PDF Property Handler Setup Utility
@echo.
@echo.  Usage: %~n0 [/RegServer^|/UnregServer]
@echo.
@pause
@goto :EOF

:RegServer
@if not exist "%pdfshext%" mkdir "%pdfshext%"
@for /l %%i in (0,1,1) do @if not exist "!reg[%%i]!" reg export !key[%%i]! "!reg[%%i]!" 1> nul 2> nul
@if exist %systemroot%\SysWOW64\regsvr32.exe (
	if exist .\pdfshext32.dll %systemroot%\SysWOW64\regsvr32.exe /s .\pdfshext32.dll
	if exist .\pdfshext64.dll %systemroot%\System32\regsvr32.exe /s .\pdfshext64.dll
) else (
	if exist .\pdfshext32.dll %systemroot%\System32\regsvr32.exe /s .\pdfshext32.dll
)
@net stop "Windows Search" && net start "Windows Search"
@taskkill /f /im explorer.exe && start explorer.exe
@pause
@goto :EOF

:UnregServer
@if exist %systemroot%\SysWOW64\regsvr32.exe (
	if exist .\pdfshext32.dll %systemroot%\SysWOW64\regsvr32.exe /s /u .\pdfshext32.dll
	if exist .\pdfshext64.dll %systemroot%\System32\regsvr32.exe /s /u .\pdfshext64.dll
) else (
	if exist .\pdfshext32.dll %systemroot%\System32\regsvr32.exe /s /u .\pdfshext32.dll
)
@for /l %%i in (0,1,1) do @if exist "!reg[%%i]!" reg import "!reg[%%i]!" 1> nul 2> nul
@if exist "%pdfshext%" rmdir /s /q "%pdfshext%"
@net stop "Windows Search" && net start "Windows Search"
@taskkill /f /im explorer.exe && start explorer.exe
@pause
@goto :EOF
